blog 用プログラムの更新

WordPress を現在間借りしているサーバーの範囲で設置可能な限りの最新バージョンに組み替えた.

当初は提供されているプログラムでけりをつける予定だったが, なぜか MySQL のバージョンが古くて動作しなかった. なんで使用できないプログラムを半自動インストールプログラムを設置してまで提供するのだろうか...

アップデートによりフォルダ構造が若干変化しているからリンク切れが数か所で起きている. 早く復帰させたいところだ.

ある設定用ファイルがうまく動作しないのでよくよく調べてみたら, 文字コードが BOM 付の UTF-8 になっていた... 仕方がないからバイナリエディタで無理やり処理. 何というお節介をしてくれるんだ...

Windows のメモ帳の場合は文字コードを UTF-8 に指定すると強制的に BOM 付になるようだ. 他のエディタでは, UTF-8N が BOM 無, Emacsen の UCS パッケージでは utf-8-ws が BOM 付というように, BOM をつけるかどうかを明示的に指定するオプションがあるようだ.

コメントを残す